Welcome to OpenCDA
=====

OpenCDA is a generalized framework for fast developing and testing <strong>cooperative driving automation 
applications</strong>(e.g., cooperative perception, platooning) as well as <strong>autonomous vehicle components</strong>(e.g., 
perception, localization, planning, control) on <strong>multi-resolution simulators</strong>(e.g., CARLA, SUMO, NS3).

OpenCDA is a work in progress, and many features are still in the future roadma.
 We welcome your contribution and please visit out Github repo for latest release.


<div class="build-buttons">
<a href="https://github.com/ucla-mobility/OpenCDA" target="_blank" class="btn btn-neutral" title="Go to the latest OpenCDA release">
OpenCDA Github</a>
</div>

---
### Contents:
* [Introduction](OpenCDA_introduction.md)
* [Installation](OpenCDA_installation.md)
* [Quick Start](OpenCDA_getstarted.md)
* [Tutorial](OpenCDA_tutorial.md)   
    * [Codebase structure](codebase_structure.md)
    * [Step1: Define the yaml file](OpenCDA_tutorial.md#step1-define-the-yaml-file)
    * [Step2: Construct the scenario](OpenCDA_tutorial.md#step2-construct-scenario)
    * [Step3: Execute a single step](OpenCDA_tutorial.md#step3-execute-a-single-step)
    * [Step4: Run simulation loop](OpenCDA_tutorial.md#step4-keep-the-simulation-loop-running)
    * [Step5: Evaluation](OpenCDA_tutorial.md#step5-evaluation)
    * [Customize your own modules](OpenCDA_tutorial.md#customize-your-own-algorithms)
* [PythonAPI](modules.rst)


If you use OpenCDA for academic research, you are highly encouraged to cite our paper:  
 ```bibtex
@inproceedings{xu2021opencda,
title={OpenCDA: An Open Cooperative Driving Automation Framework Integrated with Multi-resolution Simulations},
author={Runsheng Xu, Yi Guo, Xu Han, Xin Xia, Jiaqi Ma},
booktitle={2021 IEEE Intelligent Transportation Systems Conference (ITSC)},
year={2021}
}
```
